Subject: Question about the function,andslcd_ioctl in the file,ans-lcd.c

From: nick <[email-masked]>
Date: Wed, 04 Feb 2015 23:52:41 -0500

Greetings Benjamin and others,
I am wondering why this code has not been removed:
 for (; ch; temp++) { /* FIXME: This is ugly, but should work, as a \0 byte is not a valid command code */
                        anslcd_write_byte_ctrl ( ch );
                         __get_user(ch, temp);
                }
As if we don't want to run a command code then why not break out of the case and 
remove this loop as there is no need for it if we don't need to execute the call
to the function, anslcd_write_byte_ctrl to write the command code. Unless I am 
missing something, I am assuming I can send in a patch removing this lines of 
code.
Cheers Nick